Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.tcp.sampler
Class BinaryTCPClientImpl

    java.lang.Object
      org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient
          org.apache.jmeter.protocol.tcp.sampler.BinaryTCPClientImpl

All Implemented Interfaces:
  TCPClient

public class BinaryTCPClientImpl
extends AbstractTCPClient

TCPClient implementation. Reads data until the defined EOM byte is reached. If there is no EOM byte defined, then reads until the end of the stream is reached. The EOM byte is defined by the property "tcp.BinaryTCPClient.eomByte". Input data is assumed to be in hex, and is converted to binary

Field Summary

Fields inherited from class org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient
`eolByte, useEolByte`

Constructor Summary
`BinaryTCPClientImpl()`

Method Summary
`static byte[]` | `hexStringToByteArray(String hexEncodedBinary)` Convert hex string to binary byte array.
`String` | `read(InputStream is)` Reads data until the defined EOM byte is reached.
`void` | `write(OutputStream os, InputStream is)`
`void` | `write(OutputStream os, String hexEncodedBinary)` Input (hex) string is converted to binary and written to the output stream.

Methods inherited from class org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient
`getEolByte, setEolByte, setupTest, teardownTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryTCPClientImpl

    public BinaryTCPClientImpl()

Method Detail

### hexStringToByteArray

    public static final byte[] hexStringToByteArray(String hexEncodedBinary)

  Convert hex string to binary byte array.

  Parameters:
    `hexEncodedBinary` - - hex-encoded binary string
  Returns:
    Byte array containing binary representation of input hex-encoded string
  Throws:
    `IllegalArgumentException` - if string is not an even number of hex digits

### write

    public void write(OutputStream os,
                      String hexEncodedBinary)

  Input (hex) string is converted to binary and written to the output stream.

  Parameters:
    `os` - output stream
    `hexEncodedBinary` - hex-encoded binary

### write

    public void write(OutputStream os,
                      InputStream is)

  Parameters:
    `os` - - OutputStream for socket
    `is` - - InputStream to be written to Socket

### read

    public String read(InputStream is)

  Reads data until the defined EOM byte is reached. If there is no EOM byte defined, then reads until the end of the stream is reached. Response data is converted to hex-encoded binary

  Parameters:
    `is` - - InputStream for socket
  Returns:
    hex-encoded binary string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.